Skip to main content

Get User Info

Use this API to get the user details.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/users/{userName}/profile

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataArrayList of all device details. Refer Data Representation for details.

Sample Response​

{
"message": "User info fetched successfully",
"status": "Success",
"subSystem": 5,
"data": {
"username": "createuser",
"id": "c70c9758-fd76-43a7-8b37-b21280c9369e",
"enabled": false,
"emailVerified": false,
"attributes": {
"firstName": [
null
],
"lastName": [
null
],
"email": [
null
],
"username": [
"createuser"
]
},
"requiredActions": [],
"admin": false
}
}

Data Representation​

Field NameTypeDescription
usernameStringName of the user
idStringUnique system UUID, which will be assigned automatically
firstNameStringFirst name of the user
lastNameStringLast name of the user
enabledBooleanIndicates whether the user is enabled or not.
emailVerifiedBooleanTrue - Enable, False - Disable
attributesListBased on the user requirement the user attributes can be updated. User can add any customized attribute in form of key value pair.
requiredActionsList(String)List the actions which need to be performed during initial login. Refer Required Actions to know the supported actions.
adminBooleanIf set to true the user has admin role mapped, else not.

Response Status Information​

Status CodeStatusMessage
200SuccessUser info fetched successfully
400BAD_REQUESTUserID should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist